SearchForNothingImpl (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.union.impl

## Class SearchForNothingImpl

- java.lang.Object
- - tv.amwa.maj.union.impl.SearchCriteriaImpl
  - - tv.amwa.maj.union.impl.SearchForNothingImpl

- All Implemented Interfaces:
    Serializable, Cloneable, SearchCriteria, SearchForNothing

      public class SearchForNothingImpl
      extends SearchCriteriaImpl
      implements SearchForNothing, Serializable, Cloneable

  Implementation of a search criteria for matching packages that does not match anything.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchForNothingImpl()` Create a search criteria that does not match any packages.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SearchForNothingImpl` | `clone()`
    `boolean` | `equals(Object o)`
    `int` | `hashCode()`
    `String` | `toString()` Create a pseudo-XML representation of this search for nothing.

    - ### Methods inherited from class tv.amwa.maj.union.impl.SearchCriteriaImpl

      `getSearchTag`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.union.SearchCriteria

      `getSearchTag`

- - ### Constructor Detail

    - #### SearchForNothingImpl

          public SearchForNothingImpl()

      Create a search criteria that does not match any packages.

  - ### Method Detail

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Create a pseudo-XML representation of this search for nothing. No XML schema or DTD defines this element. Always returns:

           <SearchForNothing />

      Overrides:
        `toString` in class `Object`
      Returns:
        XML representation of this search for nothing.

    - #### clone

          public SearchForNothingImpl clone()

      Overrides:
        `clone` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.